<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.quoteItem.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!quoteItem.idQuoteItem">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="quoteItem.idQuoteItem" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.quoteItem.unitPrice" for="field_unitPrice">Unit Price</label>
                <input currencyMask class="form-control" name="unitPrice" id="field_unitPrice"
                    [(ngModel)]="quoteItem.unitPrice"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.quoteItem.qty" for="field_qty">Qty</label>
                <input currencyMask class="form-control" name="qty" id="field_qty"
                    [(ngModel)]="quoteItem.qty"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.quoteItem.quote" for="field_quote">Quote</label>
                <select class="form-control" id="field_quote" name="quote" [(ngModel)]="quoteItem.quoteId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="quoteOption.idQuote" *ngFor="let quoteOption of quotes; trackBy: trackQuoteById">{{quoteOption.idquote}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.quoteItem.product" for="field_product">Product</label>
                <select class="form-control" id="field_product" name="product" [(ngModel)]="quoteItem.productId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="productOption.idProduct" *ngFor="let productOption of products; trackBy: trackProductById">{{productOption.name}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    